package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.ParkingDevice;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-5-22 16:46
 */
@Repository
public interface ParkingDeviceDAO {

    int insert(ParkingDevice entity);

    int update(ParkingDevice entity);

    int exist(Long id);

    ParkingDevice get(Long id);

    int delete(Long id);

    List<ParkingDevice> list();

    List<ParkingDevice> search(Map<String, Object> searchParams, List<Sort> sortList);

    ParkingDevice findByParkDeviceNo(@Param("parkDeviceNo") String parkDeviceNo);


}
